
/*--------------基础样式---------------*/
* {
    margin: 0;
    padding: 0;
}

[v-cloak] {
    display: none;
}

body {
    background: #f2f2f2;
}

a {
    background: transparent;
    text-decoration: none;
}

.s-flex {
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
}

.flex-1 {
    -prefix-box-flex: 1;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -moz-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.flex-dir {
    flex-direction: column;
}

.flex-wrap {
    display: flex;
    flex-wrap: wrap;
}

.flex-no-wrap {
    flex-wrap: nowrap;
}

.jc-ct {
    justify-content: center;
}

.ai-ct {
    align-items: center;
}

.ai-bl {
    align-items: baseline;
}

.jc-bt {
    justify-content: space-between;
}

.jc-ad {
    justify-content: space-around;
}

.jc-fe {
    justify-content: flex-end;
}

.ai-fe {
    align-items: flex-end;
}

.ai-fs {
    align-items: flex-start;
}

.fw_b {
    font-weight: bold
}

.bs-bb {
    box-sizing: border-box;
}

i {
    font-style: normal;
}

.img-set {
    width: 100%;
    height: 100%;
    font-size: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.img-set img {
    max-width: 100%;
    max-height: 100%;
}

/*去除标签样式*/
em {
    font-style: normal;
}

.public-width {
    width: 1190px;
    height: 100%;
    margin: 0 auto;
}
.bottom-wrap.public-width {
    width: 1600px;
    height: auto;
    margin: 0 auto;
}
@media screen and (max-width: 1820px) {
    .bottom-wrap.public-width{
        width: calc(100vw - 240px);
        min-width: 1190px;
    }
}
.bgf2 {
    background: #f2f2f2;
}

.bgfff {
    background: #fff;
}

.iconfont {
    font-family: "iconfont" !important;
    font-size: 16px;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.clearfix:after {
    visibility: hidden;
    clear: both;
    display: block;
    content: ".";
    height: 0;
}

.fs-12 {
    font-size: 12px;
}

.fs-14 {
    font-size: 14px;
}

.fs-16 {
    font-size: 16px;
}

.co-333 {
    color: #333;
}

.co-666 {
    color: #666;
}

.co-999 {
    color: #999;
}

.co-theme {
    color: var(--app-shop-color);
}

/*文字截断*/
.ellipsis-1 {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.ellipsis-2 {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    word-break: break-all;
    -webkit-box-orient: vertical;
}

.imgSet {
    font-size: 0px;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
}

.imgSet img {
    max-width: 100%;
    max-height: 100%;
}

ul, li {
    padding: 0;
    margin: 0;
    list-style: none;
}

.content, .box-header {
    padding: 0;
}

.cursorp {
    cursor: pointer;
}

.hover-opacity {
    position: relative;
    cursor: pointer;
}

.hover-opacity:hover:before {
    content: '';
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.15);
    position: absolute;
    display: block;
    left: 0;
    top: 0;
    z-index: 1000;
}

.el-tooltip__popper.is-dark {
    border: none;
    padding: 0;
}

.el-tooltip__popper .popper__arrow {
    border-left-color: #fff !important;
}

.el-tooltip__popper .popper__arrow::after {
    border-left-color: #fff !important;
}

.no-arrow .el-carousel__container > button {
    display: none !important;
}

/*--------头部--------*/
.home-header-view {
    width: 100%;
    height: 36px;
    background-color: #F4F4F4;
    border-bottom: 1px solid #E5E5E5;
    position: relative;
    z-index: 200;
}

.home-header-view .home-header-user {
    font-size: 12px;
    color: #666666;
    display: flex;
    position: relative;
    align-items: center;
    line-height: 36px;
}

.home-header-view .home-header-user span {
    color: var(--app-shop-color);
    cursor: pointer;
}

.home-header-view .home-header-user span a {
    color: var(--app-shop-color);
    cursor: pointer;
}

.home-header-view .home-header-user em {
    transition: all 0.3s;
    font-size: 26px;
    color: #999;
    cursor: pointer;
}

.home-header-view .home-header-user a.home-icon {
    cursor: pointer;
    color: #666;
    padding: 0 15px 0 22px;
    background: url("https://cdn.toodudu.com/uploads/2023/06/28/new-home-icon.png") no-repeat center left;
    background-size: 12px 14px;
    font-weight: bold;
}

.home-header-view .home-header-user .user-name {
    max-width: 150px;
}

.home-header-view .home-header-user .header-user-hover {
    width: 320px;
    background: #FFFFFF;
    box-shadow: 0px 3px 7px 0px rgba(153, 153, 153, 0.2);
    border-radius: 0px 0px 6px 6px;
    padding: 15px 20px;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 36.5px;
    display: none;
    z-index: 9999;
}

.home-header-view .home-header-user .user-info-box * { cursor: pointer; }
.home-header-view .home-header-user .user-info-box:hover ~ .header-user-hover {
    display: block;
    z-index: 100;
}

.home-header-view .home-header-user .header-user-hover:hover {
    display: block;
    z-index: 100;
}

.home-header-view .home-header-user .user-info-box:hover em.iconfont {
    transform: rotate(180deg);
    color: #666;
}

.home-header-view .home-header-user .header-user-hover:hover ~ em.iconfont {
    transition: all 0.3s;
    transform: rotate(180deg);
    color: #666;
}

.home-header-view .home-header-user .header-user-hover .user-one {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding-bottom: 10px;
}

.home-header-view .home-header-user .header-user-hover .user-one p {
    height: 24px;
    line-height: 24px;
    color: #333;
    font-weight: bold;
    font-size: 12px;
    max-width: 180px;
}

.home-header-view .home-header-user .header-user-hover .user-one h5 {
    height: 24px;
    line-height: 24px;
    color: #333;
    font-weight: normal;
    font-size: 12px;
    max-width: 180px;
    margin: 0;
}

.home-header-view .home-header-user .header-user-hover .user-one a {
    height: 24px;
    width: 68px;
    line-height: 24px;
    cursor: pointer;
    background: #fff;
    border: 1px solid var(--app-shop-color);
    border-radius: 12px;
    color: var(--app-shop-color);
    font-weight: normal;
    font-size: 12px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.home-header-view .home-header-user .header-user-hover .user-one a:hover {
    color: var(--app-shop-color) !important;
}

.home-header-view .home-header-user .header-user-hover .user-two {
    padding: 14px 0 14px 46px;
    background: url("https://cdn.toodudu.com/uploads/2023/06/28/tx@2x.png") no-repeat center left;
    background-size: 34px 34px;
    border-top: 1px solid #f4f4f4;
}

.home-header-view .home-header-user .header-user-hover .user-two p {
    max-height: 40px;
    line-height: 20px;
    color: #333;
    font-weight: bold;
    font-size: 12px;
    max-width: 180px;
}

.home-header-view .home-header-user .header-user-hover .user-two h5 {
    height: 20px;
    line-height: 20px;
    color: #333;
    font-weight: normal;
    font-size: 12px;
    max-width: 180px;
}

.home-header-view .home-header-user .header-user-hover .user-three {
    display: flex;
    justify-content: space-between;
    text-align: center;
    padding-top: 5px;
}

.home-header-view .home-header-user .header-user-hover .user-three > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
}

.home-header-view .home-header-user .header-user-hover .user-three > div a {
    display: contents;
}

.home-header-view .home-header-user .header-user-hover .user-three > div img {
    height: 20px;
    width: 20px;
}

.home-header-view .home-header-user .header-user-hover .user-three p {
    height: 40px;
    line-height: 40px;
    color: #666;
    font-weight: normal;
    font-size: 12px;
    text-align: center;
}

.home-header-view .home-header-user .header-user-hover .user-btn {
    padding: 10px 0 5px;
    display: flex;
    justify-content: center;
}

.home-header-view .home-header-user .header-user-hover .user-btn span {
    display: inline-block;
    width: 76px;
    height: 28px;
    line-height: 26px;
    text-align: center;
    background: linear-gradient(270deg, #F4D083, #FBEEB7);
    border: 1px solid #F4D083;
    border-radius: 14px;
    margin: 0 10px;
    box-sizing: border-box;
}

.home-header-view .home-header-user .header-user-hover .user-btn span a {
    display: inline-block;
    width: 100%;
    height: 100%;
}

.home-header-view .home-header-user .header-user-hover .user-btn span.enter-btn a {
    color: #AC6428;
}

.home-header-view .home-header-user .header-user-hover .user-btn span.enter-btn a:hover {
    color: #AC6428 !important;
}

.home-header-view .home-header-user .header-user-hover .user-btn span.logout-btn {
    background: #F8F8F8;
    border: 1px solid #EEEEEE;
    color: #666;
}

.home-header-view .home-header-user .header-user-hover .user-btn span.logout-btn a {
    color: #666;
}

.home-header-view ul li {
    margin-left: 20px;
    font-size: 12px;
    color: #666666;
    position: relative;
    cursor: pointer;
    height: 36px;
}

.home-header-view ul li p {
    color: #666666;
}

.home-header-view ul li em {
    font-size: 26px;
    color: #999999;
    transition: all 0.3s;
    position: relative;
    top: 1.5px;
}

.home-header-view ul li:hover em {
    transition: all 0.3s;
    transform: rotate(180deg);
    color: #666;
    top: 0;
}

.home-header-view ul li.tel:hover em {
    transform: none;
    top: 0;
}

.home-header-view ul li.tel em {
    transform: none;
    top: 0;
}

.home-header-view ul li:hover p {
    color: var(--app-shop-color);
}

.home-header-view ul li:hover .header-right-hover-big, .home-header-view ul li:hover .header-right-hover {
    display: flex;
}

.home-header-view ul li:hover .header-right-hover-img {
    display: block;
}

.home-header-view ul li.tel p {
    font-weight: bold;
    color: #333333;
}

.home-header-view ul li.tel em {
    margin-right: 10px;
    font-size: 16px;
    font-weight: bold;
    color: #E90013;
}

.home-header-view ul li .header-right-hover-big {
    max-width: 1190px;
    z-index: 100;
    line-height: 30px;
    background: #FFFFFF;
    box-shadow: 0px 3px 7px 0px rgba(153, 153, 153, 0.2);
    border-radius: 0px 0px 6px 6px;
    padding: 5px 20px 20px 0;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 36.5px;
    display: flex;;
    justify-content: center;
    display: none;
}

.home-header-view ul li .header-right-hover {
    width: 98px;
    z-index: 100;
    line-height: 26px;
    background: #FFFFFF;
    box-shadow: 0px 3px 7px 0px rgba(153, 153, 153, 0.2);
    border-radius: 0px 0px 6px 6px;
    padding: 7px 11px 10px 11px;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 36.5px;
    display: flex;;
    justify-content: center;
    display: none;
}

.home-header-view ul li .header-right-hover-img {
    width: 240px;
    z-index: 100;
    background: #FFFFFF;
    box-shadow: 0px 3px 7px 0px rgba(153, 153, 153, 0.2);
    border-radius: 0px 0px 6px 6px;
    padding: 15px 17px 5px 17px;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 36.5px;
    display: none;
}

.home-header-view ul li .header-right-hover-img .code {
    width: 80px;
    height: 80px;
    background: #FFFFFF;
    border: 1px solid #EEEEEE;
    flex: none;
    padding: 5px;
}

.home-header-view ul li .header-right-hover-img .code-text h4 {
    font-size: 14px;
    color: #333;
    font-weight: bold;
    line-height: 20px;
}

.home-header-view ul li .header-right-hover-img .code-text p {
    font-size: 12px;
    color: #E8A511;
    font-weight: normal;
    line-height: 20px;
    height: 20px;
}

.home-header-view ul li .header-right-hover-img .code-text .s-flex div {
    text-align: center;
    padding: 3px 0 0;
    margin-right: 10px;
}

.home-header-view ul li .header-right-hover-img .code-text .s-flex img {
    width: 18px;
    height: 18px;
}

.home-header-view ul li .header-right-hover-img .code-text .s-flex h5 {
    font-weight: normal;
    transform: scale(0.8);
    margin: 0;
}

.home-header-view ul li .header-right-hover-img > div {
    margin-bottom: 10px;
}

.home-header-view ul li .header-right-hover-img .code img {
    width: 70px;
    height: 70px;
}

.home-header-view ul li .header-right-hover-big > div > div {
    border-right: 1px solid #f4f4f4;
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.home-header-view ul li .header-right-hover-big > div:last-of-type > div {
    border-right: none;
}

.home-header-view ul li .header-right-hover-big > div > div span {
    white-space: nowrap;
    width: 85px;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #666;
}

.home-header-view ul li .header-right-hover-big > div > div a {
    white-space: nowrap;
    width: 85px;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #666;
}

.home-header-view ul li .header-right-hover > div span {
    white-space: nowrap;
    width: 85px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    color: #666;
}

.home-header-view ul li .header-right-hover > div span:hover, .home-header-view ul li .header-right-hover-big > div span:hover {
    color: var(--app-shop-color);
}

.home-header-view ul li .header-right-hover-big h4 {
    line-height: 32px;
    padding-left: 20px;
    color: #333;
    font-size: 12px;
    white-space: nowrap;
}

.home-header-view ul li .header-right-hover-big h4:hover {
    color: var(--app-shop-color)
}

/*---------底部样式-----------*/
.bottom-wrap{
    padding: 36px 0 10px 0;
}
/*底部导航*/
.home-bottom-navigation {
    /*background-color: #ffffff;*/
}

.home-bottom-navigation .public-width {
    height: auto;
    padding: 36px 0 10px 0;
    box-sizing: border-box;
    position: relative;
}

.home-bottom-navigation dl {
    width: 160px;
    position: relative;
}

.home-bottom-navigation dl dd, .home-bottom-navigation dl dt {
    line-height: 1.3;
}

/*.home-bottom-navigation dl::before { content: ''; width: 1px; height: 80px; background-color: #E5E5E5; position: absolute; right: 0; top: 110px; }*/
.home-bottom-navigation dl dt em {
    font-size: 0;
}

.home-bottom-navigation dl dt em img {
    height: 28px;
}

.home-bottom-navigation dl dt h1 {
    line-height: 1;
    margin: 20px 0 12px 0;
    font-size: 16px;
    font-weight: bold;
    color: #000;
}

.home-bottom-navigation dl dd li {
    cursor: pointer;
    min-width: 80px;
    margin-bottom: 3px;
    padding: 6px 14px;
    text-align: center;
    font-size: 12px;
    box-sizing: border-box;
    transition: all 0.3s;
}

.home-bottom-navigation dl dd li a {
    color: #666;
}

.home-bottom-navigation dl dd li:hover {
    color: var(--app-shop-color);
}

.home-bottom-navigation dl dd li:hover a {
    color: var(--app-shop-color);
}

.navigation-server {
    padding: 0 20px;
}

.navigation-server-item {
    margin: 0 20px;
    cursor: pointer;
}

.navigation-server img {
    width: 80px;
    height: 80px;
}

.navigation-server p {
    margin-top: 20px;
    text-align: center;
    font-size: 14px;
    color: #333;
}

.navigation-server p a {
    color: #333;
}

.navigation-server p:hover {
    color: var(--app-shop-color);
}

.navigation-server-tel {
    margin-top: 20px;
    background: linear-gradient(to right, #ffffff, #F4F4F4, #ffffff);
}

.navigation-server-tel h1 {
    margin-bottom: 14px;
    font-size: 18px;
    font-weight: bold;
}

.navigation-server-tel span {
    font-size: 14px;
}

/*底部二维码*/
.home-bottom-qr .public-width {
    height: auto;
    padding-bottom: 20px;
    position: relative;
}

.home-bottom-qr li {
    box-sizing: border-box;
    width: 80px;
    border-radius: 10px;
}

.home-bottom-qr li:not(:last-child) {
    margin-right: 20px;
}

.home-bottom-qr label,
.home-bottom-qr span {
    display: block;
    line-height: 3;
    font-size: 12px;
    text-align: center;
    color: #666;
}

.home-bottom-qr h1 {
    margin: 8px 0;
    font-size: 14px;
    font-weight: bold;
    color: #000;
}

.home-bottom-qr img {
    width: 80px;
    height: 80px;
}

/**/
.home-footer {
    padding: 18px 0;
    background-color: #202124;
}

.home-footer-services,
.home-footer-record,
.home-footer-auth,
.home-footer-certify {
    position: relative;
}

.home-footer-services ul {
    width: 1078px;
    margin: 0 auto;
}

.home-footer-services ul li,
.record-item {
    padding: 0 16px;
    margin: 6px 0;
    font-size: 14px;
    color: #cccccc;
}

.home-footer-services ul li:not(:last-child),
.record-item:not(:last-child) {
    border-right: 1px solid #888888;
}

.home-footer-services ul li {
    cursor: pointer;
    line-height: 1;
}

/*.home-footer-services ul li:hover {*/
/*    color: var(--app-shop-color);*/
/*}*/

.record-item {
    font-size: 12px;
    color: #999999;
}

.record-item a {
    font-size: 12px;
    color: #999999;
}

.record-item a:hover {
    font-size: 12px;
    color: #999999 !important;
}

.home-footer-certify ul {
    width: 972px;
    margin: 0 auto;
    justify-content: center;
}

.home-footer-certify li {
    width: 100px;
    height: 40px;
    padding: 4px;
    margin: 30px 10px 12px 10px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.home-footer-certify li img {
    width: 90px;
    height: 30px;
}

/* 右侧导航开始 */
.home-right-navigation {
    width: 60px;
    box-shadow: 0px 0px 10px 0px rgba(102, 102, 102, 0.1); /*display: none;*//* height: 620px;*/
    position: fixed;
    right: 60px;
    top: 0; /*transform: translate(0, -50%);*/
    z-index: 888;
    bottom: 0;
    margin: auto;
    height: fit-content;
    border-radius: 5px;
}

.home-right-navigation ul li {
    width: 60px;
    min-height: 56px;
    padding: 0 5px;
    font-size: 14px;
    position: relative;
    cursor: pointer;
    box-sizing: border-box;
}

.home-right-navigation ul li.is-icon {
    padding: 0;
}

.home-right-navigation ul li:not(:last-child)::before {
    content: '';
    width: 60px;
    height: 1px;
    background: url('https://cdn.toodudu.com/uploads/2023/06/21/navigation_line.png') center no-repeat;
    background-size: 100% 100%;
    position: absolute;
    left: 0;
    bottom: 0;
}

.home-right-navigation ul li.flex-dir {
    padding: 10px 0;
}

.home-right-navigation ul li p {
    padding: 0 6px;
    color: #000;
    text-align: center;
}

.home-right-navigation ul li.is-icon span {
    font-size: 12px;
}

.home-right-navigation ul li em {
    font-size: 0;
}

.home-right-navigation ul li em img {
    height: 20px;
}

.home-right-navigation ul li span {
    line-height: 1;
    margin-top: 8px;
    color: #000;
}

.home-right-navigation ul li:hover span, .home-right-navigation ul li:hover p {
    color: var(--app-shop-color);
}

/* 右侧导航结束 */

/* 父模板原有 CSS 开始 */
::-ms-clear, ::-ms-reveal {
    display: none;
}

.headside .header_set, .headside .header_set img {
    float: left;
}

p {
    margin: 0;
}

.s_flex {
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
}

.flex_1 {
    -prefix-box-flex: 1;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -moz-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.flex_dir {
    flex-direction: column;
}

.jc_ct {
    justify-content: center;
}

.ai_ct {
    align-items: center;
}

.jc_bt {
    justify-content: space-between;
}

.ai_fe {
    align-items: flex-end;
}

.le {
    float: left;
}

.rg {
    float: right;
}

.fs12 {
    font-size: 12px;
}

.fs14 {
    font-size: 14px;
}

.fs16 {
    font-size: 16px;
}

.fs18 {
    font-size: 18px;
}

.fs24 {
    font-size: 24px;
}

.fs26 {
    font-size: 26px;
}

.co_000 {
    color: #000;
}

.co_333 {
    color: #333;
}

.co_666 {
    color: #666;
}

.co_999 {
    color: #999;
}

.co_ddd {
    color: #ddd;
}

.co_fff {
    color: #fff;
}

.co_red {
    color: #fc2f46;
}

li {
    list-style: none;
}

/*public color*/

#app .pub_color {
    color: var(--app-shop-color);
}

#app .pub_border {
    border-color: var(--app-shop-color);
}

#app .pub_backg {
    background-color: var(--app-shop-color);
}

.shopFitment .el-pagination.is-background .el-pager li:not(.disabled).active {
    background-color: #F0957C;
    border-color: #F0957C;
    color: #ffffff;
}

.rotate div:nth-of-type(1) a {
    color: var(--app-shop-color);
}


/*购物车出发样式修改*/
#app .header-nav-btn .header-nav-btn1.mn-ico2,
#app .header-nav-btn .header-nav-btn1.mn-ico2:hover {
    color: #666666;
}

/**针对IE10/11样式兼容处理**/
#app .hd-search .search-bd .search-combobox-input input {
    height: 100% \0;
    line-height: 16px \0;
}

#app .shopFitment_box {
    max-width: 1920px;
    min-width: 1200px;
    margin: 0 auto;
}

#app .shopFitment_box a:hover,
#app .shopFitment a:hover,
#app .shopFitment .store_sort_con a:hover {
    font-weight: normal;
    color: #ed7c5e;
}

#app .shopFitment ul li a:hover,
#app .shopFitment .table_td a:hover {
    color: #666666;
    font-weight: bold;
}

#app .shopFitment .el-pager li:not(.disabled):hover {
    color: #999999;
    border-color: #F0957C;
}

.header-search-btn {
    width: 90px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border: 1px solid var(--app-shop-color);
    background-color: var(--app-shop-color);
    font-weight: bold;
    font-size: 14px;
    color: #ffffff;
}

.header-search-btn.default {
    width: 100px;
    margin-left: 20px;
    border: 1px solid #EEEEEE;
    background-color: #ffffff;
    color: #333333;
}

.header-search-btn.default p {
    margin-left: 10px;
    color: #333;
    font-weight: normal;
}

.header-search-btn svg {
    width: 20px;
    height: 20px;
}

/*店铺首页等模块图片处理*/
.imgSet {
    font-size: 0px;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    position: relative;
    outline: none;
}

.imgSet img {
    max-width: 100%;
    max-height: 100%;
}

dl, ul, ol, p, h1, h2, h3, h4 {
    margin: 0;
    padding: 0;
}

.ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}